*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/downloads/release.asp?releaseid=32738
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus

#DEFINE cnPREVIEW_WINDOW_TOOLBAR_NOTDOCKED      -1
#DEFINE cnPREVIEW_WINDOW_TOOLBAR_TOP            0
#DEFINE cnPREVIEW_WINDOW_TOOLBAR_LEFT           1
#DEFINE cnPREVIEW_WINDOW_TOOLBAR_RIGHT          2
#DEFINE cnPREVIEW_WINDOW_TOOLBAR_BOTTOM         3

*-- Preview's Window WindowState types
#DEFINE cnPREVIEW_WINDOW_STATE_NORMAL		 	0
#DEFINE cnPREVIEW_WINDOW_STATE_MIN				1
#DEFINE cnPREVIEW_WINDOW_STATE_MAX				2


LOCAL loFile
LOCAL lcReportFullName

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcReportFullName = FULLPATH('..\..\Reports\ReportContents.FRX')

IF !FILE(lcReportFullName)
	=MESSAGEBOX('File ' + lcReportFullName + ' does not exist.', 16, 'Error')

ELSE

	SET PATH TO  ..\..\..\
	SET CLASSLIB TO FRX2Any IN FRX2Any.APP ALIAS FRX2Any	

	loFile = CREATEOBJ('FRX2Any.PreviewFile')

	IF TYPE('loFile') = 'O'
*-- Unlock FRX2Any
		loFile.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')

*-- Set up ToolBar settings
*-- If this property is True FRX2Any's Report Previewer ToolBar will be displayed
		loFile.lToolBarDisplay  		 = .T.

*-- If this property is True Find button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFind     		 = .T.

*-- If this property is True Print button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarPrint    		 = .T.

*-- If this property is True Zoom Scale combobox in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarZoom    			 = .T.

*-- If this property is True Save to DOC button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFRX2Word 		 = .T.

*-- If this property is True Save to XLS button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFRX2Excel		 = .T.

*-- If this property is True Save to RTF button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFRX2RTF  		 = .T.

*-- If this property is True Save to HTML button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFRX2HTML 		 = .T.

*-- If this property is True Save to BMP button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFRX2IMAGE   		 = .T.

*-- If this property is True Save to PDF button in FRX2Any's Report Previewer ToolBar will be represented
		loFile.lToolBarFRX2PDF   		 = .T.

*-- Specifies FRX2Any's Report Previewer ToolBar Dock Type
		loFile.nToolBarDockType          = cnPREVIEW_WINDOW_TOOLBAR_NOTDOCKED

*-- Specifies FRX2Any's Report Previewer ToolBar vertical position
		loFile.nToolBarPositionTop       = 25

*-- Specifies FRX2Any's Report Previewer ToolBar horizontal position
		loFile.nToolBarPositionLeft      = 5

*-- Specifies FRX2Any's Report Previewer ToolBar Title
		loFile.cPrintPreviewToolBarTitle = "Customizable Preview, toolbar title"

*-- Representing FRX2Any's Report Previewer form Title
		loFile.cPrintPreviewFormTitle    = "Customizable Preview, form title"

*-- Specifies number of the Page that will be displayed first. By default First Page will be displayed
		loFile.nDefaultPageNumber        = 1

*-- Specifies FRX2Any's Report Previewer background color
		loFile.nBackGroundColor          = RGB(75, 75, 75)

*-- Specifies FRX2Any's Report Previewer window state
		loFile.nWindowState              = cnPREVIEW_WINDOW_STATE_MAX

*-- Force FRX2Any to display conversion process status
		loFile.lDisplayStatus			 = .T.
		
		loFile.cLocalization			 = 'Localization.DBF'

		loFile.SAVE(lcReportFullName)

		loFile.RELEASE()
	ENDIF

ENDIF
