*-- Before you integrate FRX2Any into your VFP application you should realize that FRX2Any
*-- requires GDIPlus.DLL which is freely available and can be installed on Win98 and higher.
*-- If you have not installed WinXP or .NET framework then you can download this DLL from
*-- http://www.microsoft.com/downloads/release.asp?releaseid=32738
*-- or
*-- http://www.dll-files.com/dllindex/dll-files.shtml?gdiplus


#DEFINE cnOUTPUT_SCREEN			         		1
#DEFINE cnOUTPUT_PRINT			         		2
#DEFINE cnOUTPUT_EMAIL			         		3
#DEFINE cnOUTPUT_FILE		 	         		4

#DEFINE cnEXCEL_OUTPUT_OBJECT                   1
#DEFINE cnEXCEL_OUTPUT_PLAIN					2
#DEFINE cnEXCEL_OUTPUT_FULL_PLAIN				3
#DEFINE cnEXCEL_OUTPUT_DRAFT					4
#DEFINE cnEXCEL_OUTPUT_XMLSPREADSHEET			5


LOCAL loFile
LOCAL lcReportFullName
LOCAL lcOutPutFileName
LOCAL lcOutPutFilePath

CD LEFT(SYS(16,0), RAT('\', SYS(16,0)))

lcReportFullName = FULLPATH('..\..\Reports\ReportContents.FRX')

IF !FILE(lcReportFullName)
	=MESSAGEBOX('File ' + lcReportFullName + ' does not exist.', 16, 'Error')

ELSE

	lcOutPutFileName = JUSTSTEM(lcReportFullName)
	lcOutPutFilePath = JUSTPATH(SYS(16,0)) + "\OutPut\"

	SET PATH TO  ..\..\..\
	SET CLASSLIB TO FRX2Any IN FRX2Any.APP ALIAS FRX2Any	

	loFile = CREATEOBJ('FRX2Any.ExcelFile')

	IF TYPE('loFile') = 'O'
*-- Unlock FRX2Any
		loFile.UNLOCK('xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx-xxxxxx')
		
*-- NOTE: loFile.cExportFileName should not include file extension. For example: loFile.cExportFileName = "ReportOutput"
		loFile.cExportFileName = lcOutPutFileName

*-- NOTE: loFile.cSaveFolder should contain only path to the output file. For example: loFile.cSaveFolder = "c:\MyApp\MyOutPut\"
		loFile.cSaveFolder     = lcOutPutFilePath
		
*-- Force FRX2Any to display conversion process status
		loFile.lDisplayStatus  = .T.

*-- All Pages of your Report will be placed into different WorkSheet. Shapes and Graphics will not be converted. 
		loFile.nExcelOutPutType = cnEXCEL_OUTPUT_XMLSPREADSHEET

*-- Specifies that output file will be displayed after creation
		loFile.nOutPutType = cnOUTPUT_SCREEN

		loFile.SAVE(lcReportFullName)

		loFile.RELEASE()
	ENDIF

ENDIF


